# ChangeLog

Record the changes to the project.
Refer [keepachangelog](https://keepachangelog.com/) for guidelines.

## Upcoming

* Words per minute to indicate time required to read a blog post.
* Related posts at the bottom of blog post.
* Show/Hide comments on button click.
* Use custom links or ads in right sidebar.\
  Keep same width for blog posts.\
  Smaller width is easy and requires only vertical scrolling.
* Page read progress indicator.
* Go to top button.

Not implemented in any particular order, depends on feasibility and\
proof-of-concept (POC).

## [v1.2.0](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.2.0)

Optimized for SEO with `jekyll-seo-tag` properties, refactored code to:

* Add site logo to any page (default site logo) for SEO and social share
* Align theme config properties to jekyll-seo-tag plugin properties for\
  better SEO results.

## [v1.1.1](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.1.1)

* Enhance icons and logo to make it more visible and recognizable.
* Updated CHANGELOG.md

## [v1.1.0](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.1.0)

* Add js development doc
* Update theme version
* Remove package-lock json, add to gitignore
* Add local dev test steps
* Add pagination to blog list page
* Enhance post layout, shadows n minor ui fixes
* Enhance home page layout
* Change bs4 rows to ul

## [v1.0.6](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.6)

- Setup `travis-ci` to build and deploy to rubygems.org, #20.
- UI improvements, fixes #22.
- Miscellaneous improvements.
- Added `dependencies` page in `docs/` for reference and upgrades.

## [v1.0.5](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.5)

Fixed and enhanced documentation, removed Gemfile.lock.

- Documentation fixes and enhancements.
- Fixed building jekyll docs/_site from docs folder.
- Organized .gitignore file meaningfully.
- Removed Gemfile.lock file.

## [v1.0.4](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.4)

Fixed the default configuration settings.

## [v1.0.2](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.2)

- Changed all internal links to relative urls.
- Removed unused code.
- Published **v1.0.2** to RubyGems, [lone-wolf-theme](https://rubygems.org/gems/lone-wolf-theme).

## [v1.0.1](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.1)

- Fixed site logo and page title missing in user sites.

## [v1.0.0](https://github.com/manid2/lone-wolf-theme/releases/tag/v1.0.0)

- First version of Lone Wolf Theme.
- This version is very basic and it is  good for personal websites to host work portfolios.
